Back In Time

Version 1.5.4 (2025-03-24)
* Breaking Change: Auto-remove rules "Free inodes" and "Free space" disabled by default in new created profiles (#1976)
* Changed: Completed license information to conform to REUSE.software and SPDX standards.
* Changed: More clear and intense warning about EncFS deprecation and removal (#1904)
* Changed: Updated desktop entry files
* Changed: Move several values from config file into new introduce state file ($XDG_STATE_HOME/backintime.json)
* Fix!: Smart-remove rule "Keep one snapshots per week or the last week" use calendar weeks
* Fix: Exclude patterns are now case-sensitive when added (#2040)
* Fix: The width of the fourth column in files view is now saved
* Fix: Snapshot compare copy symlink as symlink (#1902) (Peter Sevens @sevens)
* Fix: Crash when comparing a snapshot with a symlink pointing to a nonexistent target (Peter Sevens @sevens)
* Fix: Crash (KeyError) opening language setup dialog with unknown locale/language
* Doc: Remove & Retention (formally known as Auto-/Smart-Remove) with improved GUI and user manual section (#2000)
* Feature: Open user manual (local if available otherwise online) via Help menu
* Feature: Toolbar context menu to display the buttons in different combinations with icons and text (#1105, #2002) (Samuel Moore @s4moore)
* Feature: Add offset minutes to hourly schedules (David Gibbs @fallingrock)

Version 1.5.3 (2024-11-13)
* Doc: User manual (build with MkDocs) (#1838) (Kosta Vukicevic @stcksmsh)
* Doc: User-callback topic in user manual (#1659)
* Feature: Support language Interlingua (Occidental)
* Feature: Warn if destination directory is formatted as NTFS (#1854) (David Gibbs @fallingrock)
* Breaking Change: Minimal Python version 3.9 required (#1731)
* Breaking Change: Auto migration of config version 4 or lower not longer supported (#1857)
* Fix: Prevent duplicates in Exclude/Include list of Manage Profiles dialog
* Fix: Fix Qt segmentation fault when canceling out of unconfigured BiT (#1095) (Derek Veit @DerekVeit)
* Fix: Correct global flock fallbacks (#1834) (Timothy Southwick @NickNackGus)
* Fix: Use SSH key password only if it is valid, otherwise request it from user (#1852) (David Wales @daviewales)
* Feature: Support fcron (#610)
* Feature: User message about release candidate (#1906)
* Refactor: General tab and its Schedule section
* Refactor: Own module for Manage Profiles dialog and separate Generals tab code (#1865)
* Refactor: Remove class OrderedSet
* Refactor: Remove os.system() from class Execute
* Refactor: Systray notifications send utilize DBUS instead of notify-send (#1156) (Felix Stupp @Zocker1999NET)
* Refactor!: Remove unused config field "user_callback.no_logging" (#1887)
* Refactor!: Remove eCryptFS check for home folder (#1855)
* Dependency: Remove libnotify-bin (notify-send) (#1156)
* Dependency: PyFakeFS minimal version 5.6 (#1911)
* Build: Replace "pycodestyle" linter with "flake8" (#1839)

Version 1.5.2 (2024-08-06)
* Fix: Ensure crontab with ending newline (#781)
* Fix(translation): Correct corrupt translated strings in Basque, Islandic and Spanish causing application crashes (#1828)
* Build(translation): Language helper script processing syntax checks on po-files

Version 1.5.1 (2024-07-27)
* Fix: Use correct port to ping SSH Proxy (#1815)

Version 1.5.0 (2024-07-26)
* Dependency: Migration to PyQt6
* Breaking Change: EncFS deprecation warning (#1735, #1734)
* Breaking Change: GUI started with --debug does no longer add --debug to the crontab for scheduled profiles.
                   Use the new "enable logging for debug messages" in the 'Schedule' section of the 'Manage profiles' GUI instead.
* Feature: Warn if Cron is not running (#1747)
* Feature: Profile and GUI allow to activate debug output for scheduled jobs by adding '--debug' to crontab entry (#1616, contributed by @stcksmsh Kosta Vukicevic)
* Feature: Support SSH proxy (jump) host (#1688) (@cgrinham, Christie Grinham)
* Feature: Support rsync '--one-file-system' in Expert Options (#1598)
* Feature: "*-dev" version strings contain last commit hash (#1637)
* Fix: Global flock fallback to single-user mode if insufficient permissions (#1743, #1751)
* Fix: Fix Qt segmentation fault with uninstall ExtraMouseButtonEventFilter when closing main window (#1095)
* Fix: Names of weekdays and months translated correct (#1729)
* Fix: Global flock for multiple users (#1122, #1676)
* Fix bug: "Backup folders" list does reflect the selected snapshot (#1585) (@rafaelhdr Rafael Hurpia da Rocha)
* Fix: Validation of diff command settings in compare snapshots dialog (#1662) (@stcksmsh Kosta Vukicevic)
* Fix bug: Open symlinked folders in file view (#1476)
* Fix bug: Respect dark mode using color roles (#1601)
* Fix: "Highly recommended" exclusion pattern in "Manage Profile" dialog's "Exclude" tab show missing only (#1620)
* Fix bug: `make install` ignored $(DEST) in file migration part (#1630)
* Removed: Context menu in LogViewDialog (#1578)
* Removed: Field "filesystem_mount" and "snapshot_version" in "info" file (#1684)
* Refactor: Replace Config.user() with getpass.getuser() (#1694)
* Chore!: Remove "debian" folder (#1548)
* Build: Enable several PyLint rules (#1755, #1766)
* Build: Add AppStream meta data (#1642)
* Build: PyLint unit test is skipped if PyLint isn't installed, but will always run on TravisCI (#1634)
* Build: Git commit hash is presevered while "make install" (#1637)
* Build: Fix bash-completion symlink creation while installing & adding --diagnostics (#1615)
* Build: TravisCI use PyQt (except arch "ppc64le")

Version 1.4.3 (2024-01-30)
* Feature: Exclude 'SingletonLock' and 'SingletonCookie' (Discord) and 'lock' (Mozilla Firefox) files by default (part of #1555)
* Work around: Relax `rsync` exit code 23: Ignore instead of error now (part of #1587)
* Feature (experimental): Add new snapshot log filter `rsync transfer failures (experimental)` to find them easier (they are normally not shown as "error").
                          This feature is experimental because it is based on hard-coded error message strings in the rsync source code
                          and may possibly not find all rsync messages or show false positives.
* Fix bug: 'qt5_probing.py' hangs when BiT is run as root and no user is logged into a desktop environment (#1592 and #1580)
* Fix bug: Launching BiT GUI (root) hangs on Wayland without showing the GUI (#836)
* Improve: Launcher for BiT GUI (root) does not enforce Wayland anymore but uses same settings as for BiT GUI (userland) (#1350)
* Fix bug: Disabling suspend during taking a backup ("inhibit suspend") hangs when BiT is run as root and no user is logged into a desktop environment (#1592)
* Change of semantics: BiT running as root never disables suspend during taking a backup ("inhibit suspend") even though this may have worked before in BiT <= v1.4.1 sometimes (required to fix #1592)
* Fix bug: RTE: module 'qttools' has no attribute 'initate_translator' with encFS when prompting the user for a password (#1553).
* Fix bug: Schedule dropdown menu used "minutes" instead of "hours".
* Fix bug: Unhandled exception "TypeError: 'NoneType' object is not callable" in tools.py function __log_keyring_warning (#820).
           Logging thread removed and logger module correctly initialized as fix. Is "Heisenbug" so 100 % retesting was not possible.
* Build: Use PyLint in unit testing to catch E1101 (no-member) errors.
* Build: Activate PyLint warning W1401 (anomalous-backslash-in-string).
* Build: Add codespell config.
* Build: Allow manual specification of python executable (--python=PYTHON_PATH) in common/configure and qt/configure
* Build: All starter scripts do use an absolute path to the python executable by default now via common/configure and qt/configure (#1574)
* Build: Install dbus configuration file to /usr/share not /etc (#1596)
* Build: `configure` does delete old installed files (`qt4plugin.py` and `net.launchpad.backintime.serviceHelper.conf`) that were renamed or moved in a previous release (#1596)
* Translation: Minor modifications in source strings and updating language files.
* Refactor: Solved circular dependency between tools.py and logger.py to fix #820
* Improved: qtsystrayicon.py, qt5_probing.py, usercallbackplugin.py and all parts of app.py
            do now also use "backintime" as logging namespace in the syslog to ensure complete log output with `journalctl | grep -i backintime`

Version 1.4.1 (2023-10-01)
* Dependency: Add "qt translations" to GUI runtime dependencies (#1538).
* Build: Unit tests do generically ignore all instead of well-known warnings now (#1539).
* Build: Warnings about missing Qt translation now are ignored while testing (#1537).
* Fix bug: GUI didn't start when "show hidden files" button was on (#1535).

Version 1.4.0 (2023-09-14)
* Project: Renamed branch "master" to "main" and started "gitflow" branching model.
* Refactor: Renamed qt4plugin.py to systrayiconplugin.py (we are using Qt5 for years now ;-)
* Refactor: Removed unfinished feature "Full system backup" (#1526)
* Fix bug: AttributeError: can't set attribute 'showHiddenFiles' in app.py (#1532)
* Fix bug: Check SSH login works on machines with limited commands (#1442)
* Fix bug: Missing icon in SSH private key button (#1364)
* Fix bug: Master issue for missing or empty system-tray icon (#1306)
* Fix bug: System-tray icon missing or empty (GUI and cron) (#1236)
* Fix bug: Improve KDE plasma icon compatibility (#1159)
* GUI Change: View last (snapshot) log button in GUI uses "document-open-recent" icon now instead of "document-new" (#1386)
* Fix bug: Unit test fails on some machines due to warning "Ignoring XDG_SESSION_TYPE=wayland on Gnome..." (#1429)
* Fix bug: Generation of config-manpage caused an error with Debian's Lintian (#1398).
* Fix bug: Return empty list in smartRemove (#1392, Debian Bug Report 973760)
* Fix bug: Taking a snapshot reports `rsync` errors now even if no snapshot was taken (#1491)
* Fix bug: takeSnapshot() recognizes errors now by also evaluating the rsync exit code (#489)
           Fixes related problem: Killing `rsync` was not handled gracefully (by ignoring the rsync exit code)
* Fix bug: The error user-callback is now always called if an error happened while taking a snapshot (#1491)
* Fix bug: D-Bus serviceHelper error "LimitExceeded: Maximum length of command line reached (100)":
           Max command length is now 120 instead of 100 (#1027)
* Feature: Introduce new error codes for the "error" user callback (as part of #1491):
           5: Error while taking a snapshot.
           6: New snapshot taken but with errors.
* Feature: The `rsync` exit code is now contained in the snapshot log (part of #489). Example:
           [E] Error: 'rsync' ended with exit code -9 (negative values are signal numbers, see 'kill -l')
* Fix bug: Treat rsync exit code 24 as INFO instead of ERROR (#1506)
* Breaking change: Minimal Python version 3.8 required (#1358).
* Removed: Handling and checking of user group "fuse" (#1472).
* Feature: Exclude /swapfile by default (#1053)
* Feature: Rearranged menu bar and its entries in the main window (#1487, #1478).
* Feature: Configure user interface language via config file and GUI.
* Documentation: Removed outdated docbook (#1345).
* Testing: TravisCI now can use dbus
* Build: Introduced .readthedocs.yaml as asked by ReadTheDocs.org (#1443).
* Dependency: The oxygen icons should be installed with the BiT Qt GUI since they are used as fallback in case of missing icons
* Fix bug: Add support for ChainerBackend class as keyring which iterates over all supported keyring backends (#1410)
* Translation: Strings to translate now easier to understand for translators (#1448, #1457, #1462, #1465).
* Translation: Improved completeness of translations and additional modifications of source strings (#1454, #1512)
* Translation: Plural forms support (#1488).
* Removed: Translation in Canadian English, British English and Javanese (#1455).
* Added: Translation in Persian and Vietnamese (#1460).
* Added: Message to users (after 10 starts of BIT Gui) to motivate them contributing translations (#1473).

Version 1.3.3 (2023-01-04)
* Feature: New command line argument "--diagnostics" to show helpful info for better issue support (#1100)
* GUI change: Remove Exit button from the toolbar (#172)
* GUI change: Define accelerator keys for menu bar and tabs, as well as toolbar shortcuts (#1104)
* Desktop integration: Update .desktop file to mark Back In Time as a single main window program (#1258)
* Feature: Write all log output to stderr; do not pollute stdout with INFO and WARNING messages anymore (#1337)
* Fix bug: RTE "reentrant call inside io.BufferedWriter" in logFile.flush() during backup (#1003)
* Fix bug: Incompatibility with rsync 3.2.4 or later because of rsync's "new argument protection" (#1247). Deactivate "--old-args" rsync argument earlier recommended to users as a workaround.
* Fix bug: DeprecationWarnings about invalid escape sequences.
* Fix bug: AttributeError in "Diff Options" dialog (#898)
* Fix bug: Settings GUI: "Save password to Keyring" was disabled due to "no appropriate keyring found" (#1321)
* Fix bug: Back in Time did not start with D-Bus error
           "dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner:
            Could not get owner of name 'net.launchpad.backintime.serviceHelper': no such name"
            (fixes client-side part of #921 - system D-Bus part of the Udev serviceHelper is still under investigation).
* Fix bug: Avoid logging errors while waiting for a target drive to be mounted (#1142, #1143, #1328)
* Fix bug: [Arch Linux] AUR pkg "backintime-git": Build tests fails and installation is aborted (#1233, fixed with #921)
* Fix bug: Wrong systray icon showing in Wayland (#1244)
* Documentation update: Correct description of profile<N>.schedule.time in backintime-config manpage (#1270)
* Translation update: Brazilian Portuguese (#1267)
* Translation update: Italian (#1110, #1123)
* Translation update: French (#1077)
* Testing: Fix a test fail when dealing with an empty crontab (#1181)
* Testing: Fix a test fail when dealing with an empty config file (#1305)
* Testing: Skip "test_quiet_mode" (does not work reliably)
* Testing: Improve "test_diagnostics_arg" (introduced with #1100) to no longer fail
           when JSON output was mixed with logging output (part of #921, fixes #1233)
* Testing: Numerous fixes and extensions to testing (#1115, #1213, #1279, #1280, #1281, #1285, #1288, #1290, #1293, #1309, #1334)

Version 1.3.2 (2022-03-12)
* Fix bug: Tests no longer work with Python 3.10 (https://github.com/bit-team/backintime/issues/1175)

Version 1.3.1 (2021-07-05)
* bump version, forgot to push branch to Github before releasing

Version 1.3.0 (2021-07-04)
* Merge PR: Fix FileNotFoundError exception in mount.mounted, Thanks tatokis (https://github.com/bit-team/backintime/pull/1157)
* Merge PR: qt/plugins/notifyplugin: Fix setting self.user, not local variable, Thanks Zocker1999NET (https://github.com/bit-team/backintime/pull/1155)
* Merge PR: Use Link Color instead of lightGray as not to break theming, Thanks newhinton (https://github.com/bit-team/backintime/pull/1153)
* Merge PR: Match old and new rsync version format, Thanks TheTimeWalker (https://github.com/bit-team/backintime/pull/1139)
* Merge PR: 'TempPasswordThread' object has no attribute 'isAlive', Thanks FMeinicke (https://github.com/bit-team/backintime/pull/1135)
* Merge PR: Keep permissions of an existing mountpoint from being overridden, Thanks bentolor (https://github.com/bit-team/backintime/pull/1058)
* Fix bug: YEAR missing in config (https://github.com/bit-team/backintime/issues/1023)
* Fix bug: SSH module didn't send identification string while checking if remote host is available (https://github.com/bit-team/backintime/issues/1030)

Version 1.2.1 (2019-08-25)
* Fix bug: TypeError in backintime.py if mount failed while running a snapshot (https://github.com/bit-team/backintime/issues/1005)

Version 1.2.0 (2019-04-27)
* Fix bug: Exit code is linked to the wrong status message (https://github.com/bit-team/backintime/issues/906)
* minor changes to allow running BiT inside Docker (https://github.com/bit-team/backintime/pull/959)
* Fix bug: AppName showed 'python3' instead of 'Back In Time' (https://github.com/bit-team/backintime/issues/950)
* Fix bug: configured cipher is not used with all ssh-commands (https://github.com/bit-team/backintime/issues/934)
* remove progressbar on systray icon until BiT has it's own icon (https://github.com/bit-team/backintime/issues/902)
* Fix bug: 'make test' fails because local SSH server is running on non-standard port (https://github.com/bit-team/backintime/issues/945)
* clarify 'nocache' option (https://github.com/bit-team/backintime/issues/857)
* create a config-backup in root dir if backup is encrypted (https://github.com/bit-team/backintime/issues/556)
* Fix bug: 23:00 is missing in the list of every day hours (https://github.com/bit-team/backintime/issues/736)
* Fix bug: ssh-agent output changed (https://github.com/bit-team/backintime/issues/840)
* remove unused and undocumented userscript plugin
* Fix bug: exception on making backintime folder world writable (https://github.com/bit-team/backintime/issues/812)
* Fix bug: stat free space for snapshot folder instead of backintime folder (https://github.com/bit-team/backintime/issues/733)
* add contextmenu for logview dialog which can copy, exclude and decode lines
* move progressbar under statusbar
* Fix bug: backintime root crontab doesn't run; missing line-feed 0x0A on last line (https://github.com/bit-team/backintime/issues/781)
* Fix bug: IndexError in inhibitSuspend (https://github.com/bit-team/backintime/issues/772)
* alleviate default exclude [Tt]rash* (https://github.com/bit-team/backintime/issues/759)
* enable high DPI scaling (https://github.com/bit-team/backintime/issues/732)
* Fix bug: polkit CheckAuthorization: race condition in privilege authorization (https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7572)
* Fix bug: OSError when running backup-job from systemd (https://github.com/bit-team/backintime/issues/720)
* Smart Remove try to keep healthy snapshots (https://github.com/bit-team/backintime/issues/703)
* Fix critical bug: restore filesystem-root without 'Full rsync mode' with ACL and/or xargs activated broke whole system (https://github.com/bit-team/backintime/issues/708)
* Fix bug: use current folder if no file is selected in files view (https://github.com/bit-team/backintime/issues/687, https://github.com/bit-team/backintime/issues/685)
* Fix bug: don't reload profile after editing profile name (https://github.com/bit-team/backintime/issues/706)
* Fix bug: Exception in FileInfo
* ask for restore-to path before confirm (https://github.com/bit-team/backintime/issues/678)
* fix 'Back in Time (root)' on wayland (https://github.com/bit-team/backintime/issues/640)
* sort int values in config numerical instead if alphabetical (https://github.com/bit-team/backintime/issues/175#issuecomment-272941811)
* set timestamp directly after new snapshot (https://github.com/bit-team/backintime/issues/584)
* add shortcut CTRL+H for toggle show hidden files to fileselect dialog (https://github.com/bit-team/backintime/issues/378)
* add 'Edit user-callback' dialog
* Fix bug: failed to restore suid permissions (https://github.com/bit-team/backintime/issues/661)
* redesign restore menu (https://github.com/bit-team/backintime/issues/661)
* Fix bug: on remount user-callback got called AFTER trying to mount (https://github.com/bit-team/backintime/issues/654)
* add ability to disable SSH command- and ping-check (https://github.com/bit-team/backintime/issues/647)
* enable bwlimit for local profiles (https://github.com/bit-team/backintime/issues/646)
* import remote host-key into known_hosts from Settings
* copy public SSH key to remote host from Settings
* create a new SSH key from Settings
* Fix bug: confirm restore dialog has no scroll bar (https://github.com/bit-team/backintime/issues/625)
* Fix bug: DEFAULT_EXCLUDE not deletable (https://github.com/bit-team/backintime/issues/634)
* rename debian package from backintime-qt4 into backintime-qt
* rename paths and methods from *qt4* into *qt*
* rename executable backintime-qt4 into backintime-qt
* new config version 6, rename qt4 keys into qt, add new domain for schedule
* check crontab entries on every GUI startup (https://github.com/bit-team/backintime/issues/129)
* start a new ssh-agent instance only if necessary
* add cli command 'shutdown' (https://github.com/bit-team/backintime/issues/596)
* Fix bug: GUI status bar unreadable (https://github.com/bit-team/backintime/issues/612)
* Fix bug: udev schedule not working (https://github.com/bit-team/backintime/issues/605)
* add cli command 'smart-remove'
* make LogView and Settings Dialog non-modal (https://github.com/bit-team/backintime/issues/608)
* Fix bug: decode path spooled from /etc/mtab (https://github.com/bit-team/backintime/pull/607)
* Fix bug: in snapshots.py, gives more helpful advice if a lock file is present that shouldn't be.  (https://github.com/bit-team/backintime/issues/601)
* port to Qt5/pyqt5 (https://github.com/bit-team/backintime/issues/518)
* Fix bug: Fail to create remote snapshot path with spaces (https://github.com/bit-team/backintime/issues/567)
* Fix bug: broken new_snapshot can run into infinite saveToContinue loop (https://github.com/bit-team/backintime/issues/583)
* Recognize changes on previous runs while continuing new snapshots
* Fix bug: udev schedule didn't work with LUKS encrypted drives (https://github.com/bit-team/backintime/issues/466)
* Add pause, resume and stop function for running snapshots (https://github.com/bit-team/backintime/issues/474, https://github.com/bit-team/backintime/issues/195)
* Fix bug: sshMaxArg failed on none default ssh port (https://github.com/bit-team/backintime/issues/581)
* Fix bug: failed if remote host send SSH banner (https://github.com/bit-team/backintime/issues/581)
* Fix bug: incorrect handling of IPv6 addresses (https://github.com/bit-team/backintime/issues/577)
* use rsync to save permissions
* replace os.system calls with subprocess.Popen
* automatically refresh log view if a snapshot is currently running
* Fix bug: Snapshot Log View freeze on big log files (https://github.com/bit-team/backintime/issues/456)
* Fix bug: 'inotify_add_watch failed: file or directory not found' after deleting snapshot
* remove dependency for extended 'find' command on remote host
* make full-rsync mode default, remove the other mode
* Fix bug: a continued snapshot was not incremental (https://github.com/bit-team/backintime/issues/557)
* use rsync to remove snapshots which will give a nice speedup (https://github.com/bit-team/backintime/issues/151)
* open temporary local copy of files instead of original backup on double-click in GUI
* add option to decrypt paths in systray menu with mode ssh-encrypted
* open current log directly from systray icon during taking a snapshot
* add tool-tips to restore menu
* Fix bug: config backup in snapshot had wrong name if using --config option
* add --share-path option
* use Monospace font in logview
* add restore option --only-new
* add button 'Take snapshot with checksums'
* Fix bug: Can't open files with spaces in name (https://github.com/bit-team/backintime/issues/552)
* Fix bug: BIT-root won't start from .desktop file (https://github.com/bit-team/backintime/issues/549)
* Fix bug: Keyring doesn't work with KDE Plasma5 (https://github.com/bit-team/backintime/issues/545)
* Fix bug: Qt4 built-in phrases where not translated (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=816197)
* Fix bug: configure ignore unknown args (https://github.com/bit-team/backintime/issues/547)
* Fix bug: snapshots-list on command-line was not sorted
* Fix bug: SHA256 ssh-key fingerprint was not detected
* change default configure option to --no-fuse-group as Ubuntu >= 12.04 don't need fuse group-membership anymore
* Fix bug: new snapshot did not show up after finished
* Fix bug: TimeLine headers were not correct
* Fix lintian warning: manpage-has-errors-from-man: bad argument name 'P'
* Fix bug: wildcards ? and [] wasn't recognized correctly
* Fix bug: last char of last element in tools.get_rsync_caps got cut off
* Fix bug: TypeError in tools.get_git_ref_hash
* Do not print 'SnapshotID' or 'SnapshotPath' if running 'snapshots-list' command (and other) with '--quiet'
* Remove dependency 'ps'
* Fix bug: don't include empty values in list (https://github.com/bit-team/backintime/issues/521)
* Fix bug: bash-completion doesn't work for backintime-qt4
* Fix bug: 'make unittest' incorrectly used 'coverage' by default (https://github.com/bit-team/backintime/issues/522)
* Fix bug: pm-utils is deprecated; Remove dependency (https://github.com/bit-team/backintime/issues/519)
* rewrite huge parts of snapshots.py
* remove backwards compatibility to version < 1.0

Version 1.1.24 (2017-11-07)
* fix critical bug: CVE-2017-16667: shell injection in notify-send (https://github.com/bit-team/backintime/issues/834)

Version 1.1.22 (2017-10-28)
* fix bug: stat free space for snapshot folder instead of backintime folder (https://github.com/bit-team/backintime/issues/552733)
* backport bug fix: backintime root crontab doesn't run; missing line-feed 0x0A on last line (https://github.com/bit-team/backintime/issues/552781)
* backport bug fix: can't open files with spaces in name (https://github.com/bit-team/backintime/issues/552552)

Version 1.1.20 (2017-04-09)
* backport bug fix: CVE-2017-7572: polkit CheckAuthorization: race condition in privilege authorization

Version 1.1.18 (2017-03-29)
* Fix bug: manual snapshots from GUI didn't work (https://github.com/bit-team/backintime/issues/728)

Version 1.1.16 (2017-03-28)
* backport bug fix: start a new ssh-agent instance only if necessary (https://github.com/bit-team/backintime/issues/722)
* Fix bug: OSError when running backup-job from systemd (https://github.com/bit-team/backintime/issues/720)

Version 1.1.14 (2017-03-05)
* backport bug fix: udev schedule not working (https://github.com/bit-team/backintime/issues/605)
* backport bug fix: Keyring doesn't work with KDE Plasma5 (https://github.com/bit-team/backintime/issues/545)
* backport bug fix: nameError in tools.make_dirs (https://github.com/bit-team/backintime/issues/622)
* backport bug fix: use current folder if no file is selected in files view
* Fix critical bug: restore filesystem-root without 'Full rsync mode' with ACL and/or xargs activated broke whole system (https://github.com/bit-team/backintime/issues/708)

Version 1.1.12 (2016-01-11)
* Fix bug: remove x-terminal-emulator dependency (https://github.com/bit-team/backintime/issues/515)
* Fix bug: AttributeError in About Dialog (https://github.com/bit-team/backintime/issues/515)

Version 1.1.10 (2016-01-09)
* Fix bug: failed to remove empty lock file (https://github.com/bit-team/backintime/issues/505)
* Add Icon 'show-hidden' (https://github.com/bit-team/backintime/issues/507)
* Add Modify for Full System Backup button to settings page, to change some profile settings
* Fix bug: Restore the correct file owner and group fail if they are not present in system (https://github.com/bit-team/backintime/issues/58)
* add get|set_list_value to configfile
* Fix bug: QObject::startTimer error on closing app
* subclass ApplicationInstance in GUIApplicationInstance to reduce redundant code
* speed up app start by adding snapshots to timeline in background thread
* add warning on failed permission restore (https://github.com/bit-team/backintime/issues/58)
* add unittest (thanks to Dorian, Alexandre, Aurélien and Gregory from IAGL)
* Fix bug: FileNotFoundError while starting pw-cache from source
* continue an unfinished new_snapshot if possible (https://github.com/bit-team/backintime/issues/400)
* Fix bug: suppress warning about failed inhibit suspend if run as root (https://github.com/bit-team/backintime/issues/500)
* Fix bug: UI blocked/grayed out while removing snapshot (https://github.com/bit-team/backintime/issues/487)
* Fix bug: pw-cache failed on leftover PID file, using ApplicationInstance now (https://github.com/bit-team/backintime/issues/468)
* Fix bug: failed to parse some arguments (https://github.com/bit-team/backintime/issues/492)
* Fix bug: failed to start GUI if launched from systray icon
* Fix bug: deleted snapshot is still listed in Timeline if using mode SSH (https://github.com/bit-team/backintime/issues/493)
* Fix bug: PermissionError while deleting readonly files on sshfs mounted share (https://github.com/bit-team/backintime/issues/490)
* Add Nautilus-like shortcuts for navigating in file browser (https://github.com/bit-team/backintime/issues/483)
* speed up mounting of SSH+encrypted profiles
* Fix bug: create new encrypted profiles with encfs >= 1.8.0 failed (https://github.com/bit-team/backintime/issues/477)
* Fix bug: AttributeError in common/tools.py if keyring is missing (https://github.com/bit-team/backintime/issues/473)
* Fix bug: remote rename of 'new_snapshot' folder sometimes isn't recognized locally; rename local now (https://answers.launchpad.net/questions/271792)
* Move source code and bug tracking to GitHub

Version 1.1.8 (2015-09-28)
* Fix bug: unlock private SSH key run into 5sec timeout if password is empty
* show current app name and profile ID in syslog (https://launchpad.net/bugs/906213)
* Fix bug: BiT freeze when activate 'Decode path' in 'Snapshot Log View'
* Show 'Profiles' dropdown only in 'Last Log Viewer', add 'Snapshots' dropdown in 'Snapshot Log Viewer' (https://launchpad.net/bugs/1478219)
* Fix bug: empty gray window appears when starting the gui as root (https://launchpad.net/bugs/1493020)
* do not restore permission if they are identical with current permissions
* Fix bug: gnu_find_suffix_support doesn't set back to True (https://launchpad.net/bugs/1487781)
* security issue: do not run user-callback in a shell
* add option to not log user-callback output
* Fix lintian warning dbus-policy-without-send-destination
* apply timestamps-in-gzip.patch from Debian backintime/1.1.6-1 package
* run multiple smart-remove jobs in one screen session (https://launchpad.net/bugs/1487781)
* add error messages if PID file creation fail
* Fix bug: dbus exception if dbus systembus is not running
* Fix bug: depend on virtual package cron-daemon instead of cron for compatibility with other cron implementations (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=776856)
* Fix bug: wasn't able to start from alternate install dir (https://launchpad.net/bugs/478689)
* Fix bug: wasn't able to start from source dir
* Add Warning about unsupported filesystems
* use native Python code to check mountpoint
* Add expert option for stdout and stderr redirection in cronjobs (https://answers.launchpad.net/questions/270105)
* Fix bug: 'Inhibit Suspend' fails with 'org.freedesktop.PowerManagement.Inhibit' (https://launchpad.net/bugs/1485242)
* Fix bug: No mounting while selecting a secondary profile in the gui (https://launchpad.net/bugs/1481267)
* remove shebang in common/askpass.py and common/create-manpage-backintime-config.py
* Fix bug: fix for bug #1419466 broke crontab on Slackware (https://launchpad.net/bugs/1478576)
* Fix bug: fix for bug #1431305 broke pw-cache on Ubuntu (https://launchpad.net/bugs/1431305)
* Fix bash-complete
* show 'man backintime' on Help; remove link to backintime.le-web.org (https://launchpad.net/bugs/1475995)
* add --debug argument
* Fix bug: Settings accepted empty strings for Host/User/Profile-ID (https://launchpad.net/bugs/1477733)
* Fix bug: IndexError on 'check_remote_commands' due to too long args (https://launchpad.net/bugs/1471930)
* add --local-backup, --no-local-backup and --delete option to restore on command-line (https://launchpad.net/bugs/1467239)
* add 'backup on restore' option to confirm dialog
* add check-config command for command-line
* rewrite command-line argument parsing. Now using argparse
* add expert option SSH command prefix
* Fix bug: Makefile has no uninstall target (https://launchpad.net/bugs/1469152)

Version 1.1.6 (2015-06-27)
* show Profile name in systrayicon menu
* Fix bug: encrypted remote backup hangs on 'start encfsctl encode process' (https://launchpad.net/bugs/1455925)
* make own Exceptions a childclass from BackInTimeException
* Fix bug: missing profile<N>.name crashed GUI
* Fix bug: Segmentation fault caused by two QApplication instances (https://launchpad.net/bugs/1463732)
* remove consolekit from dependencies
* Fix bug: no Changes [C] log entries with 'Check for changes' disabled (https://launchpad.net/bugs/1463367)
* Fix bug: some changed options from Settingsdialog where not respected during automatic tests after hitting OK
* Fix bug: python version check fails on python 3.3 (https://launchpad.net/bugs/1463686)
* Specifying the SSH private key whenever ssh is called (https://launchpad.net/bugs/1433682)
* add to in-/exclude directly from mainwindow (https://launchpad.net/bugs/1454856)
* Fix bug: pw-cache didn't start on Mint KDE because of missing stdout and stderr (https://launchpad.net/bugs/1431305)
* add option to run Smart Remove in background on remote host (https://launchpad.net/bugs/1457210)
* Use current profile when starting GUI from Systray
* Fix bug: failed to restore file names with white spaces using CLI (https://launchpad.net/bugs/1435602)
* Fix bug: UnboundLocalError with 'last_snapshot' in _free_space (https://launchpad.net/bugs/1437623)

Version 1.1.4 (2015-03-22)
* add option to keep new snapshot with 'full rsync mode' regardless of changes (https://launchpad.net/bugs/1434722)
* Fix bug: wrong quote in 'Save config file'
* Fix bug: Deleting the last snapshot does not update the last_snapshot symlink (https://launchpad.net/bugs/1434724)
* remove base64 encoding for passwords as it doesn't add any security but broke the password process (https://launchpad.net/bugs/1431305)
* add confirm dialog before restoring (https://launchpad.net/bugs/438079)
* Fix bug: Wrong status text in the tray icon (https://launchpad.net/bugs/1429400)
* add option to run only one snapshot at a time
* Fix bug: restore permissions of lots of files made BackInTime unresponsive (https://launchpad.net/bugs/1428423)
* Fix bug: failed to restore file owner and group
* cache uuid in config so it doesn't fail if the device isn't plugged in (https://launchpad.net/bugs/1426881)
* add warning about wrong Python version in configure
* prevent snapshots from being removed with restore and delete; show warning if restore and delete filesystem root (https://answers.launchpad.net/questions/262837)
* Fix bug: OSError in free_space; add alternate method to get free space
* add bash-completion
* Fix bug: ugly theme while running as root on Gnome based DEs (https://launchpad.net/bugs/1418447)
* Fix bug: UnicodeError thrown if filename has broken charset (https://launchpad.net/bugs/1419694)
* use 'crontab' instead of 'crontab -' to read from stdin (https://launchpad.net/bugs/1419466)

Version 1.1.2 (2015-02-04)
* sort 'Backup folders' in main window
* save in- and exclude sort order
* use PolicyKit to install Udev rules
* move compression from install to build in Makefiles
* use pkexec to start backintime-qt4 as root

Version 1.1.0 (2015-01-15)
* add tooltips for rsync options
* make only one debian/control
* multiselect files to restore (https://launchpad.net/bugs/1135886)
* force run manual snapshots on battery (https://launchpad.net/bugs/861553)
* backup encfs config to local config folder
* apply 'install-docs-move.patch' from Debian package by Jonathan Wiltshire
* add restore option to delete new files during restore (https://launchpad.net/bugs/1371951)
* use flock to prevent two instances running at the same time
* restore config dialog added (https://launchpad.net/bugs/480391)
* inhibit suspend/hibernate while take_snapshot or restore
* use more reliable code for get_user
* implement anacrons functions inside BIT => more flexible schedules and no new timestamp if there was an error
* automatically run in background if started with 'backintime --backup-job'
* fix typos and style warnings in manpages reported by Lintian (https://lintian.debian.org/full/jmw@debian.org.html#backintime_1.0.34-0.1)
* add exclude files by size (https://launchpad.net/bugs/823719)
* remove 'Auto Host/User/Profile-ID' as this is more confusing than helping
* Fix bug: check procname of pid-locks (https://launchpad.net/bugs/1341414)
* optional run 'rsync' with 'nocache' (https://launchpad.net/bugs/1344528)
* mark invalid exclude pattern with mode ssh-encrypted
* make Settingsdialog tabs scrollable
* remove colon (:) restriction in exclude pattern
* prevent starting new snapshot if restore is running
* Fix bug: Port check failed on IPv6 (https://launchpad.net/bugs/1361634)
* add top-level directory for tarball (https://launchpad.net/bugs/1359076)
* add more user-callback events (on App start and exit, on mount and unmount)
* add context menu to files view
* remove snapshots from commandline
* multi selection in timeline => remove multiple snapshots with one click
* print warning if started with sudo
* add more default exclude; remove [Cc]ache* from exclude
* Fix bug: 'inotify_add_watch failed' while closing BIT
* add option for custom rsync-options
* add ProgressBar for rsync
* add progress for smart-remove
* remove old status-bar message after a snapshot crashed.
* ask to include symlinks target instead link (https://launchpad.net/bugs/1117709)
* port to Python 3.x
* returncode >0 if there was an error (https://launchpad.net/bugs/1040995)
* Enable user-callback script to cancel a backup by returning a non-zero exit code.
* merge backintime-notify into backintime-qt4
* add --gksu/--gksudo arg to qt4/configure
* remember last path for each profile (https://bugs.launchpad.net/bugs/1254870)
* sort include and exclude list (https://bugs.launchpad.net/bugs/1193149)
* Timeline show tooltip 'Last check'
* Fix bug: systray icon didn't show up (https://bugs.launchpad.net/backintime/+bug/658424)
* show hidden files in FileDialog (https://bugs.launchpad.net/backintime/+bug/995925)
* add button text for all buttons (https://bugs.launchpad.net/backintime/+bug/992020)
* add shortcuts (https://bugs.launchpad.net/backintime/+bug/686694)
* add menubar (https://bugs.launchpad.net/backintime/+bug/528851)
* port KDE4 GUI to pure Qt4 to replace both KDE4 and Gnome GUI

Version 1.0.40 (2014-11-02)
* use fingerprint to check if ssh key was unlocked correctly (https://answers.launchpad.net/questions/256408)
* add fallback method to get UUID (https://answers.launchpad.net/questions/254140)
* Fix bug: 'Attempt to unlock mutex that was not locked'... this time for good

Version 1.0.38 (2014-10-01)
* Fix bug: 'Attempt to unlock mutex that was not locked' in gnomeplugin (https://answers.launchpad.net/questions/255225)
* compare os.path.realpath instead of os.stat to get devices UUID
* Fix bug: housekeeping by gnome-session-daemon might delete backup and original data (https://bugs.launchpad.net/bugs/1374343)
* Fix bug: Type Error in 'backintime --decode' (https://bugs.launchpad.net/bugs/1365072)
* Fix bug: take_snapshot didn't wait for snapshot folder come available if notifications are disabled (https://bugs.launchpad.net/bugs/1332979)

Version 1.0.36 (2014-08-06)
* remove UbuntuOne from exclude (https://bugs.launchpad.net/bugs/1340131)
* Gray out 'Add Profile' if 'Main Profile' isn't configured yet (https://bugs.launchpad.net/bugs/1335545)
* Don't check for fuse group-membership if group doesn't exist
* Fix bug: backintime-kde4 as root failed to load ssh-key (https://bugs.launchpad.net/bugs/1276348)
* Fix bug: kdesystrayicon.py crashes because of missing environ (https://bugs.launchpad.net/bugs/1332126)
* Fix bug: OSError if sshfs/encfs is not installed (https://bugs.launchpad.net/bugs/1316288)
* Fix bug: TypeError in config.py check_config() (https://bugzilla.redhat.com/show_bug.cgi?id=1091644)
* Fix bug: unhandled exception in create_last_snapshot_symlink() (https://bugs.launchpad.net/bugs/1269991)
* disable keyring for root

Version 1.0.34 (2013-12-21)
* sync/flush all disks before shutdown (https://bugs.launchpad.net/bugs/1261031)
* Fix bug: BIT running as root shutdown after snapshot, regardless of option checked (https://bugs.launchpad.net/bugs/1261022)

Version 1.0.32 (2013-12-13)
* Fix bug: cron scheduled snapshots won't start with 1.0.30

Version 1.0.30 (2013-12-12)
* scheduled and manual snapshots use --config
* make configure scripts portable (https://bugs.launchpad.net/backintime/+bug/377429)
* Fix bug: udev rule doesn't finish (https://bugs.launchpad.net/backintime/+bug/1249466)
* add symlink last_snapshot (https://bugs.launchpad.net/backintime/+bug/787118)
* add virtual package backintime-kde for PPA
* Fix multiple errors in PPA build process; reorganize updateversion.sh
* Fix bug: Mate and xfce desktop didn't show systray icon (https://bugs.launchpad.net/backintime/+bug/658424/comments/31)
* add option to run rsync with 'nice' or 'ionice' on remote host (https://bugs.launchpad.net/backintime/+bug/1240301)
* add Shutdown button to shutdown system after snapshot has finished (https://bugs.launchpad.net/backintime/+bug/838742)
* Fix bug: Ubuntu Lucid doesn't provide SecretServiceKeyring (https://bugs.launchpad.net/backintime/+bug/1243911)
* wrap long lines for syslog
* Fix bug: 'gksu backintime-gnome' failed with dbus.exceptions.DBusException

Version 1.0.28 (2013-10-19)
* remove config on 'apt-get purge'
* add more options for configure scripts; update README
* add udev schedule (run BIT as soon as the drive is connected)
* Fix bug: AttributeError with python-keyring>1.6.1 (https://bugs.launchpad.net/backintime/+bug/1234024)
* Fix bug: TypeError: KDirModel.removeColumns() is a private method in kde4/app.py (https://bugs.launchpad.net/backintime/+bug/1232694)
* add '--checksum' commandline option (https://bugs.launchpad.net/backintime/+bug/886021)
* Fix bug: sshfs mount disconnect after a while due to some firewalls (add ServerAliveInterval) (https://answers.launchpad.net/backintime/+question/235685)
* Fix bug: Ping fails if ICMP is disabled on remote host (https://bugs.launchpad.net/backintime/+bug/1226718)
* Fix bug: KeyError in getgrnam if there is no 'fuse' group (https://bugs.launchpad.net/backintime/+bug/1225561)
* Fix bug: anacrontab won't work with profilename with spaces (https://bugs.launchpad.net/backintime/+bug/1224620)
* Fix bug: NameError in tools.move_snapshots_folder (https://bugs.launchpad.net/backintime/+bug/871466)
* Fix bug: KPassivePopup is not defined (https://bugs.launchpad.net/backintime/+bug/871475)
* multi selection for include and exclude list (https://bugs.launchpad.net/backintime/+bug/660753)
* Fix bug: ValueError while reading pw-cache PID (https://answers.launchpad.net/backintime/+question/235407)

Version 1.0.26 (2013-09-07)
* add feature: keep min free inodes
* roll back commit 836.1.5 (check free-space on ssh remote host): statvfs DOES work over sshfs. But not with quite outdated sshd
* add daily anacron schedule
* add delete button and 'list only equal' in Snapshot dialog; multiSelect in snapshot list
* add manpage backintime-config and config-examples
* Fix bug: Restore makes files public during the operation
* Fix bug: Cannot keep modifications to cron (https://bugs.launchpad.net/backintime/+bug/698106)
* add feature: restore from command line; add option --config
* Fix bug: cannot stat 'backintime-kde4-root.desktop.kdesudo' (https://bugs.launchpad.net/backintime/+bug/696659)
* Fix bug: unreadable dark KDE color schemes (https://bugs.launchpad.net/backintime/+bug/1184920)
* use 'ps ax' to check if 'backintime --pw-cache' is still running
* mount after locking, unmount before unlocking in take_snapshot
* Fix bug: permission denied if remote uid wasn't the same as local uid
* add option --bwlimit for rsync
* redirect logger.error and .warning to stderr; new argument --quiet
* deactivate 'Save Password' if no keyring is available
* use Password-cache for user-input too
* handle two Passwords
* add 'SSH encrypted': mount / with encfs reverse and sync encrypted with rsync. EXPERIMENTAL!
* add 'Local encrypted': mount encfs

Version 1.0.24 (2013-05-08)
* hide check_for_canges if full_rsync_mode is checked
* DEFAULT_EXCLUDE system folders with /foo/* so at least the folder itself will backup
* DEFAULT_EXCLUDE /run; exclude MOUNT_ROOT with higher priority and not with DEFAULT_EXCLUDE anymore
* Fix bug: 'CalledProcessError' object has no attribute 'strerror'
* Fix bug: quote rsync remote path with spaces
* 'Save Password' default off to avoid problems with existing profiles
* if restore uid/gid failed try to restore at least gid
* SSH need to store permissions in separate file with "Full rsync mode" because remote user might not be able to store ownership
* Fix bug: restore permission failed on "Full rsync mode"
* Fix bug: glib.GError: Unknown internal child: selection
* Fix bug: GtkWarning: Unknown property: GtkLabel.margin-top
* Fix bug: check keyring backend only if password is needed
* switch to 'find -exec cmd {} +' (https://bugs.launchpad.net/backintime/+bug/1157639)
* change all indent tabs to 4 spaces

Version 1.0.22 (2013-03-26)
* check free-space on ssh remote host (statvfs didn't work over sshfs)
* Add Password storage mode ssh
* Add "Full rsync mode" (can be faster but ...)
* Fix bug: "Restore to..." failed due to spaces in directory name (https://bugs.launchpad.net/backintime/+bug/1096319)
* Fix bug: host not found in known_hosts if port != 22 (https://bugs.launchpad.net/backintime/+bug/1130356)
* Fix bug: sshtools.py used not POSIX conform conditionals

Version 1.0.20 (2012-12-15)
* Fix bug: restore remote path with spaces using mode ssh returned error

Version 1.0.18 (2012-11-17)
* Fix packages: man & translations
* Fix bug: https://bugs.launchpad.net/backintime/+bug/1077446
* Fix bug: https://bugs.launchpad.net/backintime/+bug/1078979
* Fix bug: https://bugs.launchpad.net/backintime/+bug/1079479
* Map multiple arguments for gettext so they can be rearranged by translators

Version 1.0.16 (2012-11-15)
* Fix a package dependency problem ... this time for good (https://bugs.launchpad.net/backintime/+bug/1077446)

Version 1.0.14 (2012-11-09)
* Fix a package dependency problem

Version 1.0.12 (2012-11-08)
* Add links to: website, documentation, report a bug, answers, faq
* Use libnotify for gnome/kde4 notifications instead of gnome specific libraries
* Fix bug: https://bugs.launchpad.net/backintime/+bug/1059247
* Add more schedule options: every 30 min, every 2 hours, every 4 hours, every 6 hours & every 12 hours
* Add generic mount-framework
* Add mode 'SSH' for backups on remote host using ssh protocol.
* Fix bug: wrong path if restore system root
* Fix bug: glade (xml) files did not translate
* Fix bug: https://bugs.launchpad.net/backintime/+bug/1073867

Version 1.0.10 (2012-03-06)
* Add "Restore to ..." in replacement of copy (with or without drag & drop) because copy don't restore user/group/rights

Version 1.0.8 (2011-06-18)
* Fix bug: https://bugs.launchpad.net/backintime/+bug/723545
* Fix bug: https://bugs.launchpad.net/backintime/+bug/705237
* Fix bug: https://bugs.launchpad.net/backintime/+bug/696663
* Fix bug: https://bugs.launchpad.net/backintime/+bug/671946

Version 1.0.6 (2011-01-02)
* Fix bug: https://bugs.launchpad.net/backintime/+bug/676223
* Smart remove: configurable options (https://bugs.launchpad.net/backintime/+bug/406765)
* Fix bug: https://bugs.launchpad.net/backintime/+bug/672705

Version 1.0.4 (2010-10-28)
* SettingsDialog: show highly recommended excludes
* Fix bug: https://bugs.launchpad.net/backintime/+bug/664783
* Option to use checksum to detect changes (https://bugs.launchpad.net/backintime/+bug/666964)
* Option to select log verbosity (https://bugs.launchpad.net/backintime/+bug/664423)
* Gnome: use gloobus-preview if installed

Version 1.0.2 (2010-10-16)
* reduce log file (no more duplicate "Compare with..." lines)
* declare backintime-kde4 packages as a replacement of backintime-kde

Version 1.0 (2010-10-16)
* add '.dropbox*' to default exclude patterns (https://bugs.launchpad.net/backintime/+bug/628172)
* add option to take a snapshot at every boot (https://bugs.launchpad.net/backintime/+bug/621810)
* fix xattr
* add continue on errors (https://bugs.launchpad.net/backintime/+bug/616299)
* add expert options: copy unsafe links & copy links
* "user-callback" replace "user.callback" and receive profile information
* documentation: on-line only (easier to maintain)
* add error log and error log view dialog (Gnome & KDE4)
* merge with: lp:~dave2010/backintime/minor-edits
* merge with: lp:~mcfonty/backintime/unique-snapshots-view
* fix bug: https://bugs.launchpad.net/backintime/+bug/588841
* fix bug: https://bugs.launchpad.net/backintime/+bug/588215
* fix bug: https://bugs.launchpad.net/backintime/+bug/588393
* fix bug: https://bugs.launchpad.net/backintime/+bug/426400
* fix bug: https://bugs.launchpad.net/backintime/+bug/575022
* fix bug: https://bugs.launchpad.net/backintime/+bug/571894
* fix bug: https://bugs.launchpad.net/backintime/+bug/553441
* fix bug: https://bugs.launchpad.net/backintime/+bug/550765
* fix bug: https://bugs.launchpad.net/backintime/+bug/507246
* fix bug: https://bugs.launchpad.net/backintime/+bug/538855
* fix bug: https://bugs.launchpad.net/backintime/+bug/386230
* fix bug: https://bugs.launchpad.net/backintime/+bug/527039
* reduce memory usage during compare with previous snapshot process
* fix bug: https://bugs.launchpad.net/backintime/+bug/520956
* fix bug: https://bugs.launchpad.net/backintime/+bug/520930
* fix bug: https://bugs.launchpad.net/backintime/+bug/521223
* custom backup hour (for daily backups or mode): https://bugs.launchpad.net/backintime/+bug/507451
* fix bug: https://bugs.launchpad.net/backintime/+bug/516066
* fix bug: https://bugs.launchpad.net/backintime/+bug/512813
* smart remove was slightly changed (https://bugs.launchpad.net/backintime/+bug/502435)
* fix bug: https://bugs.launchpad.net/backintime/+bug/503859
* make backup on restore optional
* fix bug: https://bugs.launchpad.net/backintime/+bug/501285
* add ionice support for user/cron backup process
* fix bug: https://bugs.launchpad.net/backintime/+bug/493558
* fix bug that could cause "ghost" folders in snapshots (LP: 406092)
* fix bug that converted / into // (LP: #455149)
* fix bug: https://bugs.launchpad.net/backintime/+bug/441628
* remove "schedule per included directory" (profiles do that) (+ bug LP: #412470)
* fig bug: https://bugs.launchpad.net/backintime/+bug/489380
* fix bug: https://bugs.launchpad.net/backintime/+bug/489319
* fix bug: https://bugs.launchpad.net/backintime/+bug/447841
* fix bug: https://bugs.launchpad.net/backintime/+bug/412695
* update Slovak translation (Tomáš Vadina <kyberdev@gmail.com>)
* multiple profiles support
* GNOME: fix notification
* backintime snapshot folder is restructured to ../backintime/machine/user/profile_id/
* added the possibility to include other snapshot folders within a profile, it can only read those, there is not a GUI implementation yet
* added a tag suffix to the snapshot_id, to avoid double snapshot_ids
* added a desktop file for kdesu and a test if kdesu or kdesudo should be used (LP: #389988)
* added expert option to disable snapshots when on battery (LP: #388178)
* fix bug handling big files by the GNOME GUI (LP: #409130)
* fix bug in handling of & characters by GNOME GUI (LP: #415848)
* fix a security bug in chmods before snapshot removal (LP: #419774)
* snapshots are stored entirely read-only (LP: #386275)
* fix exclude patterns in KDE4 (LP:#432537)
* fix opening german files with external applications in KDE (LP: #404652)
* changed default exclude patterns to caches, thumbnails, trashbins, and backups (LP: #422132)
* write access to snapshot folder is checked & change to snapshot version 2 (LP: #423086)
* fix small bugs (a.o. LP: #474307)
* Used a more standard crontab syntax (LP: #409783)
* Stop the "Over zealous removal of crontab entries" (LP: #451811)

Version 0.9.26 (2009-05-19)
* update translations from Launchpad
* Fix a bug in smart-remove algorithm (https://bugs.launchpad.net/backintime/+bug/376104)
* Fix bug: https://bugs.launchpad.net/backintime/+bug/374477
* Fix bug: https://bugs.launchpad.net/backintime/+bug/375113
* update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* add '--no-check' option to configure scripts
* use only 'folder' term (more consistent with GNOME/KDE)
* add 'expert option': enable/disable nice for cron jobs
* GNOME & KDE4: refresh snapshots button force files view to update too
* you can include a backup parent directory (backup directory will auto-exclude itself)
* fix some small bugs

Version 0.9.24 (2009-05-07)
* update translations
* KDE4: fix python string <=> QString problems
* KDE4 FilesView/SnapshotsDialog: ctrl-click just select (don't execute)
* KDE4: fix crush after "take snapshot" process (https://bugs.launchpad.net/backintime/+bug/366241)
* store basic permission in a special file so it can restore them correctly (event from NTFS)
* add config version
* implement Gnome/KDE4 systray icons and user.callback as plugins
* reorganize code: common/GNOME/KDE4
* GNOME: break the big glade file in multiple file
* backintime is no longer aware of 'backintime-gnome' and 'backintime-kde4'
  (you need run 'backintime-gnome' for GNOME version and
  'backintime-kde4' for KDE4 version)

Version 0.9.22.1 (2009-04-27)
* fix French translation

Version 0.9.22 (2009-04-24)
* update translations from Launchpad
* KDE4: fix some translation problems
* remove --safe-links for save/restore (this means copy symlinks as symlinks)
* update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* create directory now use python os.makedirs (replace use of mkdir command)
* KDE4: fix a crush related to QString - python string conversion
* GNOME & KDE4 SettingsDialog: if schedule automatic backups per directory is set, global schedule is hidden
* GNOME FilesView: thread "*~" files (backup files) as hidden files
* GNOME: use gtk-preferences icon for SettingsDialog (replace gtk-execute icon)
* expert option: $XDG_CONFIG_HOME/backintime/user.callback (if exists) is called a different steps
  of a "take snapshot" process (before, after, on error, is a new snapshot was taken).
* add more command line options: --snapshots-list, --snapshots-list-path, --last-snapshot, --last-snapshot-path
* follow FreeDesktop directories specs:
  $XDG_DATA_HOME (default: $HOME/.local/share) to store app.lock files
  $XDG_CONFIG_HOME (default: $HOME/.config) to save settings
* new install system: use more common steps (./configure; make; sudo make install)

Version 0.9.20 (2009-04-06)
* smart remove: fix an important bug and make it more verbose in syslog
* update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)

Version 0.9.18 (2009-04-02)
* update translations from Launchpad
* update Slovak translation (Tomáš Vadina <kyberdev@gmail.com>)
* update French translation (Michel Corps <mahikeulbody@gmail.com>)
* update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* GNOME bugfix: fix a crush in files view for files with special characters (ex: "a%20b")
* GNOME SettingsDialog bugfix: if snapshots path is a new created folder, snapshots navigation (files view) don't work
* update doc
* GNOME & KDE4 MainWindow: Rename "Places" list with "Snapshots"
* GNOME SettingsDialog bugfix: modify something, then press cancel. If you reopen the dialog it show wrong values (the ones before cancel)
* GNOME & KDE4: add root mode menu entries (use gksu for gnome and kdesudo for kde)
* GNOME & KDE4: MainWindow - Files view: if the current directory don't exists in current snapshot display a message
* SettingDialog: add an expert option to enable to schedule automatic backups per directory
* SettingDialog: schedule automatic backups - if the application can't find crontab it show an error
* SettingDialog: if the application can't write in snapshots directory there should be an error message
* add Polish translation (Paweł Hołuj <pholuj@gmail.com>)
* add cron in common package dependencies
* GNOME & KDE4: rework settings dialog
* SettingDialog: add an option to enable/disable notifications

Version 0.9.16.1 (2009-03-16)
* fix a bug/crush for French version

Version 0.9.16 (2009-03-13)
* update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
* add Slovak translation (Tomáš Vadina <kyberdev@gmail.com>)
* update Swedish translation (Niklas Grahn <terra.unknown@yahoo.com>)
* update French translation (Michel Corps <mahikeulbody@gmail.com>)
* update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* update Slovenian translation (Vanja Cvelbar <cvelbar@gmail.com>)
* don't show the snapshot that is being taken in snapshots list
* GNOME & KDE4: when the application starts and snapshots directory don't exists show a messagebox
* give more information for 'take snapshot' progress (to prove that is not blocked)
* MainWindow: rename 'Timeline' column with 'Snapshots'
* when it tries to take a snapshot if the snapshots directory don't exists
  (it is on a removable drive that is not plugged) it will notify and wait maximum 30 seconds
  (for the drive to be plugged)
* GNOME & KDE4: add notify if the snapshots directory don't exists
* KDE4: rework MainWindow

Version 0.9.14 (2009-03-05)
* update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* update Swedish translation (Niklas Grahn <terra.unknown@yahoo.com>)
* update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
* update French translation (Michel Corps <mahikeulbody@gmail.com>)
* GNOME & KDE4: rework MainWindow
* GNOME & KDE4: rework SettingsDialog
* GNOME & KDE4: add "smart" remove

Version 0.9.12 (2009-02-28)
* bug fix: now if you include ".abc" folder and exclude ".*", ".abc" will be saved in the snapshot
* KDE4: add help
* add Slovenian translation (Vanja Cvelbar <cvelbar@gmail.com>)
* bug fix (GNOME): bookmarks with special characters

Version 0.9.10 (2009-02-24)
* add Swedish translation (Niklas Grahn <terra.unknown@yahoo.com>)
* KDE4: drop and drop from backintime files view to any file manager
* bug fix: fix a segfault when running from cron

Version 0.9.8 (2009-02-20)
* update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
* bug fix: unable to restore files that contains space char in their name
* unsafe links are ignored (that means that a link to a file/directory outside of include directories are ignored)
* KDE4: add copy to clipboard
* KDE4: sort files by name, size or date
* cron 5/10 minutes: replace multiple lines with a single crontab line using divide (*/5 or */10)
* cron: when called from cron redirect output (stdout & stderr) to /dev/null

Version 0.9.6 (2009-02-09)
* update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
* update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* GNOME: update docbook
* KDE4: add snapshots dialog
* GNOME & KDE4: add update snapshots button
* GNOME: handle special folders icons (home, desktop)

Version 0.9.4 (2009-01-30)
* update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* gnome: better handling of 'take snapshot' status icon
* KDE4 (>= 4.1): first version (not finished)
* update man

Version 0.9.2 (2009-01-16)
* update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
* update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* bug fix: if you add "/a" in include directories and "/a/b" in exclude patterns, "/a/b*" items
  are not excluded
* replace diff with rsync to check if a new snapshot is needed
* code cleanup
* add show hidden & backup files toggle button for files view
* bug fix: it does not include ".*" items even if they are not excluded
  (the items was included but not showed because hidden & backup files was never displayed
  in files view in previous versions)

Version 0.9 (2009-01-09)
* update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
* make deb packages more debian friendly (thanks to Michael Wiedmann <mw@miwie.in-berlin.de>)
* update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* bug fix: when you open snapshots dialog for the second time ( or more ) and you make a diff
  it will make the diff on the file for the first dialog ( all previous dialogs ) and then for
  the current one
* better separation between common and gnome specific files and
  divide backintime package in backintime-common & backintime-gnome
  (this will allow me to write other GUI front-ends like KDE4 or KDE)
* code cleanup

Version 0.8.20 (2008-12-22)
* bug fix: sorting files/directories by name is now case insensitive
* getmessages.sh: ignore "gtk-" items (this are gtk stock item ids and should not be changed)

Version 0.8.18 (2008-12-17)
* update man/docbook
* add sort columns in MainWindow/FileView (by name, by size or by date) and SnapshotsDialog (by date)
* fix German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)

Version 0.8.16 (2008-12-11)
* add Drag & Drop from MainWindow:FileView/SnapshotsDialog to Nautilus
* update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)

Version 0.8.14 (2008-12-07)
* add more command line parameters ( --version, --snapshots, --help )
* fix a crush for getting info on dead symbolic links
* when taking a new backup based on the previous one don't copy the previous extra info (ex: name)
* copy unsafe links when taking a snapshot

Version 0.8.12 (2008-12-01)
* add German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* add SnapshotNameDialog
* add Name/Remove snapshot in main toolbar
* change the way it detects if the mainwindow is the active window (no dialogs)
* toolbars: show icons only
* update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)

Version 0.8.10 (2008-11-22)
* SnapshotsDialog: add right-click popup-menu and a toolbar with copy & restore buttons
* use a more robust backup lock file
* log using syslog
* fix a small bug in copy to clipboard
* update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)

Version 0.8.8 (2008-11-19)
* SnapshotsDialog: add diff
* update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)

Version 0.8.6 (2008-11-17)
* fix change backup path crush
* add SnapshotsDialog

Version 0.8.2 (2008-11-14)
* add right-click menu in files list: open (using gnome-open), copy (you can paste in Nautilus), restore (for snapshots only)
* add Copy toolbar button for files list

Version 0.8.1 (2008-11-10)
* add every 5/10 minutes automatic backup

Version 0.8 (2008-11-07)
* don't show backup files (*~)
* add backup files to default exclude patterns (*~)
* makedeb.sh: make a single package with all languages included
* install.sh: install all languages
* add English manual (man)
* add English help (docbook)
* add help button in main toolbar
* the application can be started with a 'path' to a folder or file as command line parameter
* when the application start, if it is already running pass its command line to the first instance (this allow a basic integration with file-managers - see README)
* bug fix: when the application was started a second time it raise the first application's window but not always focused

Version 0.7.4 (2008-11-03)
* if there is already a GUI instance running raise it
* add Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)

Version 0.7.2 (2008-10-28)
* better integration with gnome icons (use mime-types)
* remember last path
* capitalize month in timeline (bug in french translation)

Version 0.7 (2008-10-22)
* fix cron segfault
* fix a crush when launched the very first time (not configured)
* multi-lingual support
* add French translation

Version 0.6.4 (2008-10-20)
* remove About & Settings dialogs from the pager
* allow only one instance of the application

Version 0.6.2 (2008-10-16)
* remember window position & size

Version 0.6 (2008-10-13)
* when it make a snapshot it display an icon in systray area
* the background color for group items in timeline and places reflect more
  the system color scheme
* during restore only restore button is grayed ( even if everything is blocked )

Version 0.5.1 (2008-10-10)
* add size & date columns in files view
* changed some texts

Version 0.5 (2008-10-03)
* This is the first release.
